Package javax.help

# Class PrintSetupAction

java.lang.Object
javax.help.AbstractHelpAction
javax.help.PrintSetupAction

All Implemented Interfaces:
  `ActionListener`, `PropertyChangeListener`, `EventListener`, `HelpAction`

public class PrintSetupAction extends AbstractHelpAction implements PropertyChangeListener, ActionListener

## Constructor Summary

Constructors
Constructor
Description
`PrintSetupAction(Object control)`
Creates new BackAction

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent event)`
`void`
`propertyChange(PropertyChangeEvent evt)`
This method gets called when a bound property is changed.

### Methods inherited from class javax.help.AbstractHelpAction

`addPropertyChangeListener, firePropertyChange, getControl, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrintSetupAction

public PrintSetupAction(Object control)
Creates new BackAction

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent event)

Specified by:
  `actionPerformed` in interface `ActionListener`

### propertyChange

public void propertyChange(PropertyChangeEvent evt)
This method gets called when a bound property is changed.

Specified by:
  `propertyChange` in interface `PropertyChangeListener`
Parameters:
  `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.